function nnet_demo_2(runName,autodamp,hybridmode, split, drop, boost)
runName
seed = 1234;

randn('state', seed );
rand('twister', seed+1 );

%you will NEVER need more than a few hundred epochs unless you are doing
%something very wrong.  Here 'epoch' means parameter update, not 'pass over
%the training set'.
maxepoch = 150;

tmp = load(['../mat/' runName '.mat']);
numchunks = split;
indata = tmp.bdata'; % train instance
outdata = tmp.bdatalabel'; % train label
intest = tmp.bdatatest'; % test instance
outtest = tmp.bdatatestlabel'; % test label

perm = randperm(size(indata,2));
indata = indata( :, perm );
outdata = outdata( :, perm );

%runName = 'HFtestrun2';

runDesc = ['seed = ' num2str(seed) ', enter anything else you want to remember here' ];

%next try using autodamp = 0 for rho computation.  both for version 6 and
%versions with rho and cg-backtrack computed on the training set

setlayer_flag = 0;
if(strcmp(runName,'mnist.scale') == 1)
	setlayer_flag = 1;
	layersizes = [1000 500 250 30];
	layertypes = {'logistic','logistic','logistic','logistic','linear'};
	maxepoch = 40;
end

if(setlayer_flag == 0)
	layersizes = [100 200 250];
	layertypes = {'logistic','logistic','logistic','linear'};
end

clear tmp;
%Note that the code layer uses linear units
%layertypes = {'logistic' 'linear' 'logistic' 'logistic'};

resumeFile = [];

paramsp = [];
Win = [];
bin = [];
%[Win, bin] = loadPretrainedNet_curves;

numchunks_test = 10; % if testing set too large.......

mattype = 'gn'; %Gauss-Newton.  The other choices probably won't work for whatever you're doing
%mattype = 'hess';
%mattype = 'empfish';

rms = 0;

%hybridmode = 1;

decay = 1.0;
%decay = 0.95;

jacket = 0;
%this enables Jacket mode for the GPU
%jacket = 1;

%errtype = 'L2'; %report the L2-norm error (in addition to the quantity actually being optimized, i.e. the log-likelihood)
errtype = 'class';

%standard L_2 weight-decay:
weightcost = 2e-5;
%weightcost = 0;

nnet_train_2( runName, runDesc, paramsp, Win, bin, resumeFile, maxepoch, indata, outdata, numchunks, intest, outtest, numchunks_test, layersizes, layertypes, mattype, rms, errtype, hybridmode, weightcost, decay, jacket, autodamp,drop,boost);

