function trans_HF(dataname, split)
datadir = ['../../data/'];
matdir = ['../../mat/'];
testname = [datadir dataname '.t'];
if(~exist(testname,'file'))
	dataname
	[tmplabel, bdata] = libsvmread([datadir dataname]);
	class_vector = unique(tmplabel);
	num_class = size(class_vector,1);
	num_inst = size(bdata,1);

	bdatalabel = [];
	for i = 1: num_class
		bdatalabel = [bdatalabel,(class_vector(i) == tmplabel)];
	end

	bdatalabel = sparse(bdatalabel);
	tmplabel = [];

	myrand = randperm(num_inst);
	num_test = num_inst*0.2 - mod(num_inst*0.2,split);
	bdatatest = bdata(myrand(1:num_test),:);
	bdatatestlabel = bdatalabel(myrand(1:num_test),:);
	if(mod(num_inst*0.2,split)~=0)
		bdata = bdata(myrand(num_test+(split+1): (num_inst - mod(num_inst,split))),:);
		bdatalabel = bdatalabel(myrand(num_test+(split+1): (num_inst - mod(num_inst,split))),:);
	else
		bdata = bdata(myrand(num_test+1: (num_inst - mod(num_inst,split))),:);
		bdatalabel = bdatalabel(myrand(num_test+1: (num_inst - mod(num_inst,split))),:);
	end
	save([matdir dataname '.mat'], 'bdata', 'bdatalabel', 'bdatatest', 'bdatatestlabel','num_class','class_vector','-v7.3');
	exit;
else
	dataname
	[tmplabel, bdata] = libsvmread([datadir dataname]);
	input_fea = size(bdata,2);
	[tmptestlabel, bdatatest] = libsvmread([datadir dataname '.t']);
	output_fea = size(bdatatest,2);
	if(input_fea < output_fea)
		for i = 1:(output_fea-input_fea)
			bdata = [bdata,zeros(size(bdata,1),1)];
		end
	end

	if(input_fea > output_fea)
		for i = 1:(input_fea-output_fea)
			bdatatest = [bdatatest,zeros(size(bdatatest,1),1)];
		end
	end
	cc = [tmplabel;tmptestlabel];
	class_vector = unique(cc);
	num_class = size(class_vector,1);

	bdatalabel = [];
	for i = 1: num_class
		bdatalabel = [bdatalabel,(class_vector(i) == tmplabel)];
	end
	bdatatestlabel = [];
	for i = 1: num_class
		bdatatestlabel = [bdatatestlabel,(class_vector(i) == tmptestlabel)];
	end

	num_inst = size(bdatatest,1);
	num_test = num_inst - mod(num_inst,split);
	bdatatest = bdatatest( 1: num_test,:);
	bdatatestlabel = bdatatestlabel( 1: num_test,:);

	num_inst = size(bdata,1);
	num_train = num_inst - mod(num_inst,split);
	bdata = bdata( 1: num_train,:);
	bdatalabel = bdatalabel( 1: num_train,:);

	%save
	save([matdir dataname '.mat'], 'bdata', 'bdatalabel', 'bdatatest', 'bdatatestlabel','num_class','class_vector','-v7.3');
	exit;
end
